Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.sort
Class FixedSortKeyDefinition

    java.lang.Object
      net.sf.saxon.sort.SortKeyDefinition
          net.sf.saxon.sort.FixedSortKeyDefinition

All Implemented Interfaces:
  java.io.Serializable

public class FixedSortKeyDefinition
extends SortKeyDefinition

A FixedSortKeyDefinition is a SortKeyDefinition in which all aspects of the sort key definition (sort order, data type, etc,) are known. A SortKeyDefinition defines one component of a sort key.

See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.sort.SortKeyDefinition
`caseOrder, collation, collationName, dataTypeExpression, emptyFirst, language, order, sortKey`

Constructor Summary
`FixedSortKeyDefinition()`

Method Summary
`void` | `bindComparer()` Allocate a resusable Comparer to implement this sort key comparison
`java.util.Comparator` | `getComparer(XPathContext context)` Get the comparer which is used to compare two values according to this sort key.
`FixedSortKeyDefinition` | `reduce(XPathContext context)` Eliminate dependencies of the sort key definition on the context.
`SortKeyDefinition` | `simplify()`

Methods inherited from class net.sf.saxon.sort.SortKeyDefinition
`getCaseOrder, getCollation, getCollationName, getDataTypeExpression, getEmptyFirst, getLanguage, getOrder, getSortKey, setCaseOrder, setCollation, setCollationName, setDataTypeExpression, setEmptyFirst, setLanguage, setOrder, setSortKey, simplify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FixedSortKeyDefinition

    public FixedSortKeyDefinition()

Method Detail

### simplify

    public SortKeyDefinition simplify()
                               throws XPathException

  Throws:
    `XPathException`

### reduce

    public FixedSortKeyDefinition reduce(XPathContext context)
                                  throws XPathException

  Eliminate dependencies of the sort key definition on the context. For the sort key select expression, this means things that don't depend on the individual node: specifically, variables and current-group(). For the AVTs used to select data type, case order, language, it means all dependencies: after reduction, these values will be constants.

  Overrides:
    `reduce` in class `SortKeyDefinition`
  Throws:
    `XPathException`

### bindComparer

    public void bindComparer()
                      throws XPathException

  Allocate a resusable Comparer to implement this sort key comparison

  Throws:
    `XPathException`

### getComparer

    public java.util.Comparator getComparer(XPathContext context)
                                     throws XPathException

  Get the comparer which is used to compare two values according to this sort key.

  Throws:
    `XPathException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD